Library Version 18.1.40

is_rmw
Prev | Chapter 10. Db_base_iterator | Next

## is_rmw

### Function Details

    bool is_rmw() const

Get DB_RMW setting.

Return true if the iterator's cursor has DB_RMW flag set, false otherwise. DB_RMW flag causes a write lock to be acquired when reading a key/data pair, so that the transaction won't block later when writing back the updated value in a read-modify-write operation cycle.

### Class

db_base_iterator

Prev | Up | Next
get_bulk_retrieval | Home | is_directdb_get